Avatars
Update Avatar Look
Updates the display name of an avatar look. Only supported for photo avatar and digital twin look types.
PATCH
/
v3
/
avatars
/
looks
/
{look_id}
Update Avatar Look
curl --request PATCH \
--url https://api.heygen.com/v3/avatars/looks/{look_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.heygen.com/v3/avatars/looks/{look_id}"
payload = { "name": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.heygen.com/v3/avatars/looks/{look_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"group_id": "ag_abc123",
"preview_image_url": "https://files.heygen.ai/look/business_preview.jpg",
"preview_video_url": "https://files.heygen.ai/look/business_preview.mp4",
"gender": "female",
"tags": [
"<string>"
],
"default_voice_id": "1bd001e7e50f421d891986aad5c8bbd2",
"supported_api_engines": [
"<string>"
],
"image_width": 1920,
"image_height": 1080,
"status": "completed",
"error": {
"code": "<string>",
"message": "<string>"
}
}
}{
"error": {
"code": "invalid_parameter",
"message": "Renaming is only supported for photo and digital twin avatar looks.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "authentication_failed",
"message": "Invalid or expired API key. Verify your x-api-key header.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "not_found",
"message": "Avatar look not found.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Retry after the duration specified in the Retry-After header.",
"param": null,
"doc_url": null
}
}Authorizations
ApiKeyAuthBearerAuth
HeyGen API key. Obtain from your HeyGen dashboard.
Path Parameters
Unique avatar look identifier. This is the value to pass as avatar_id to POST /v3/videos.
Body
application/json
Request body for PATCH /v3/avatars/looks/<look_id>.
New display name for the look.
Maximum string length:
255Response
Successful response
A single avatar look in the list response.
The id field is the look-level identifier to pass as avatar_id
to POST /v3/videos.
Show child attributes
Show child attributes
Previous
Create avatar realtime sessionStart a low-latency streaming avatar session and return a `stream_id`. Three modes, selected by the `type` discriminator: `tts` (speak a fixed script), `audio` (drive lip-sync from a pre-existing audio asset), and `text_stream` (seed with initial text, then append more text deltas over time via POST /v3/avatar-realtime/{stream_id}/text — e.g. as an upstream LLM streams tokens). Poll GET /v3/avatar-realtime/{stream_id} for the session status and HLS playback URL.
Next
⌘I
Update Avatar Look

